/*
 * $RCSfile: hash.h,v $
 *
 * x-kernel v3.2
 *
 * Copyright (c) 1993  Arizona Board of Regents
 *
 * $Revision: 1.4 $
 * $Date: 1994/06/13 23:14:29 $
 *
 */

/* Control Ops for hash functions */

#ifndef HASH_H
#define HASH_H

#include "upi.h"

/*
 * hash control opcodes - used by MD5 and SHA
 */
#define HASH_SETPREFIX	     (HASH_CTL*MAXOPS+0)
#define HASH_SETLOCALPREFIX  (HASH_CTL*MAXOPS+1)
#define HASH_SETREMOTEPREFIX (HASH_CTL*MAXOPS+2)
#define HASH_SIZE	     (HASH_CTL*MAXOPS+3)

#endif /* HASH_H */

