/*     
 * $RCSfile: xk_arch.h,v $
 *
 * x-kernel v3.2
 *
 * Copyright (c) 1993,1991,1990  Arizona Board of Regents
 *
 *
 * $Log: xk_arch.h,v $
 * Revision 1.2.1.1  1994/04/19 00:14:22  menze
 * scanf format macros for 32-bit ints
 *
 * Revision 1.2  1994/02/05  00:06:39  menze
 *   [ 1994/01/29          menze ]
 *   Definitions for xk_u_int* and xk_int* types
 *
 * Revision 1.1  1994/01/04  21:28:59  menze
 * Initial revision
 *
 */

/*
 * for use when length matters (e.g., protocol header fields).
 */
#define xk_int8		char
#define xk_int16	short
#define xk_int32	int
#define XK_INT32_HEX_FORMAT	"%x"
#define XK_INT32_DEC_FORMAT	"%d"

#define xk_u_int8	unsigned char
#define xk_u_int16	unsigned short
#define xk_u_int32	unsigned int

