/* 
 * sim_ether_i.h
 *
 * x-kernel v3.2
 *
 * Copyright (c) 1993,1991,1990  Arizona Board of Regents
 *
 *
 * $Revision: 1.9 $
 * $Date: 1993/10/14 00:55:28 $
 */

#define SIMETH_MAX_INSTANCES	5
#define MAX_ETH_SIZE (EMAXPAK+sizeof(ETHhdr))

#define MAX_ERROR_COUNT 1000

#define RCVBUFSIZE 	50*1024		
#define EMAXPAK 	(MAX_ETH_DATA_SZ + sizeof(ETHhdr))


typedef struct {
    char	*buf;
    int		len;
    int		sock;
} EthMsg;

typedef struct {
    XObj	arp;
    int		sock;
    int		port;
    ETHhost	myHost;
    int		errorCount;
} PState;

